    import StaticProfileIconEndpoint from 'kayn/lib/Endpoints/StaticEndpoints/StaticProfileIconEndpoint.js'

public class | source

# StaticProfileIconEndpoint

#### Extends:

Endpoint~Endpoint → StaticSuperclass → StaticProfileIconEndpoint

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | config: * |
public | limiter: * |
public | resourceName: string |

## Method Summary

Public Methods
public | list(): * Retrieve profile icons. |

## Inherited Summary

From class StaticSuperclass
public | serviceName: string |

## Public Constructors

### public constructor() source

#### Override:

StaticSuperclass#constructor

## Public Members

### public config: * source

### public limiter: * source

### public resourceName: string source

## Public Methods

### public list(): * source

Retrieve profile icons.

Implements GET `/lol/static-data/v3/profile-icons`.

#### Return:

*